
<%Function PrepareDAT(datData, Forma)
Dim Dia, Mes, Ano, Hora, Minuto
 
'Session.LCID = 1036
    

If Not IsDate(datData) Then
   datData = Now()   
End If
	

	Dia = "" & Right("00" & Day(datData), 2)
	Mes = "" & Right("00" & Month(datData), 2)
	'Ano = "" & Right("0000" & Year(datData), 4)
	Ano = "" & Right("00" & Year(datData), 2)
	Hora = "" & Right("00" & Hour(datData), 2)
	Minuto = "" & Right("00" & Minute(datData), 2)

'Formato dd/mm/yyyy e hh:mm
If Forma = 1 Then        
	PrepareDAT = Trim(Dia) & "/" & Trim(Mes) & _ 
	"/" & Trim(Ano) & " " & Trim(Hora) & _ 
	":" & Trim(Minuto)    

ElseIf Forma = 2 Then
	PrepareDAT = Trim(Ano) & "/" & Trim(Mes) & _
	"/" & Trim(Dia) & " " & Trim(Hora) & _ 
	":" & Trim(Minuto)

'Formato dd/mm/yyyy
ElseIf Forma = 3 Then
	PrepareDAT = Trim(Dia) & "/" & Trim(Mes) & "/" & Trim(Ano)

'Formato hh:mm
ElseIf Forma = 4 Then
	PrepareDAT = CStr(Trim(Hora) & ":" & Trim(Minuto))    

'Formato mm/dd/yyyy
ElseIf Forma = 5 Then
	PrepareDAT = Trim(Mes) & "/" & Trim(Dia) & "/" & Trim(Ano)

ElseIf Forma = 6 Then
	PrepareDAT =  Trim(Ano) & "/" & Trim(Mes) & "/" & Trim(Dia) 
end If

End Function%>
